WcfDataService with EntityFramework 6 的若干问题

1.Microsoft.Data.Edm等NuGet包需要升级到5.6版本

2.SVC不要使用DataService基类

class WcfDataService1 : DataService<XContext>

应为

class WcfDataService1 : EntityFrameworkDataService<XContext>

EntityFrameworkDataService这个类需要引用 Microsoft.OData.EntityFrameworkProvider

可以通过Install-Package Microsoft.OData.EntityFrameworkProvider -Pre或在NuGet中查找Microsoft.OData.EntityFrameworkProvider进行安装

3.如果遇到以下问题:

服务器处理请求时遇到错误。异常消息为“未能找到任何适合于指定的区域性或非特定区域性的资源。请确保在编译时已将“System.Data.Services.resources”正确嵌入或链接到程序集“Microsoft.OData.EntityFrameworkProvider”,或者确保所有需要的附属程序集都可加载并已进行了完全签名。”。有关详细信息,请参见服务器日志。异常堆栈跟踪为:

请检查Model中是否含有枚举,因为WcfDataService不支持枚举,所以出错

posted @ 2013-11-29 18:46  重典  阅读(2320)  评论(2编辑  收藏  举报